VIPW(8)

NAME
vipw, vigr - edit the password, group, shadow-password, or shadow-group file.

SYNOPSIS

vipw [-s]

vigr [-s]

DESCRIPTION

vipw and vigr will edit the files /etc/passwd and /etc/group, respectively. With the -s flag, they will edit the shadow versions of those files, /etc/shadow and /etc/gshadow, respectively. The programs will set the appropriate locks to prevent file corruption. When looking for an editor, the programs will first try the environment variable $VISUAL, then the environment variable $EDITOR, and finally the default editor, vi(1).

SEE ALSO

group(5), passwd(5), shadow(5)